# Get a client's marketing consent history **GET /api/v1/account/{account_uuid}/marketing-consent** Every consent decision recorded against the client, newest first. ## Servers - https://api.plannrcrm.com: https://api.plannrcrm.com () ## Authentication methods - Personal access token & O auth2 ## Parameters ### Headers - **X-PLANNR-ACCOUNT-UUID** (string) ### Path parameters - **account_uuid** (string) The UUID of the client account. ### Query parameters - **filter[channel]** (string) Filter by a comma separated list of channels. One of email, phone, letter, sms. - **filter[status]** (string) Filter by the decision recorded. One of opted_in, opted_out. - **filter[effective_from]** (string) Only decisions that took effect at or after this ISO 8601 datetime. - **filter[effective_to]** (string) Only decisions that took effect at or before this ISO 8601 datetime. - **sort** (string) Field to sort by. Valid fields are [effective_at]. Negative sign to denote DESC. Defaults to '-effective_at'. - **per_page** (integer) Number of results to return with pagination (Default 15. Max 500). ## Responses ### 200 #### Body: application/json (object) - **data** (array[object]) ### 400 Account is not a client #### Body: application/json (object) - **message** (string) A human-readable description of the error. ### 422 Validation error #### Body: application/json (object) - **message** (string) A human-readable description of the error. - **errors** (object) Validation messages keyed by the field that failed. [Powered by Bump.sh](https://bump.sh)